### Method

# FwupdPlugin Device unbind_driver

since: 1.5.0

#### Declaration [src]

    gboolean
    fu_device_unbind_driver (
      FuDevice* self
      GError** error
    )

#### Description [src]

Unbinds the driver from the device, which normally means the kernel releases the hardware so it can be used from userspace.

If there is no driver bound then this function will return with success without actually doing anything.

Available since: 1.5.0

#### Return value

Type: `gboolean`

`TRUE` if driver was unbound.